> For the complete documentation index, see [llms.txt](https://developer.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.mediarithmics.io/querying-your-data/userpoint-api.md).

# UserPoint API

The UserPoint API allows to retrieve, create, update or delete all data related to a single UserPoint.

## General description

The endpoint is formatted as follows:

`/v1/datamarts/<DATAMART_ID>/user_points/`**`<USER_POINT_SELECTOR>`**`/`**`<DOCUMENT_TYPE>`**`/`**`<DOCUMENT_SELECTOR>`**

where

* **`<USER_POINT_SELECTOR>`** allows to select a UserPoint based on any of its identifiers

Possible values are:

```
<USER_POINT_ID> or user_point_id=<USER_POINT_ID>
user_agent_id=<USER_AGENT_ID>
compartment_id=<COMPARTMENT_ID>,user_account_id=<USER_ACCOUNT_ID>
email_hash=<EMAIL_HASH>
```

* **`<DOCUMENT_TYPE>`** designates the type of data that will be addressed

Possible values are:

```
user_identifiers
user_profiles
user_activities
user_choices
user_scenarios
user_segments
```

* **`<DOCUMENT_SELECTOR>`** allows to select a particular document on the UserPoint

As each document is identified by a different identifier, possible values depend on the type of document previously selected. It is also optional: use it if you want to get, update or delete a particular document.

```
user_profiles/compartment_id=<COMPARTMENT_ID>
user_profiles/compartment_id=<COMPARTMENT_ID>/user_account_id=<USER_ACCOUNT_ID>
user_choices/processing_id=<PROCESSING_ID>
user_scenarios/scenario_id=<SCENARIO_ID>
user_segments/audience_segment_id=<SEGMENT_ID>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.mediarithmics.io/querying-your-data/userpoint-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
